#ifndef UNIVERSITYTEACHER_HPP
#define UNIVERSITYTEACHER_HPP

#include <vector>
#include <string>

class Course; // osztlyok deklarlsa a krbehivatkozs elkerlse vgett

class UniversityTeacher // oktat osztly
{
public:
    UniversityTeacher(const std::string& n);

    std::string name() const;
    std::string neptunCode() const;
    const std::vector<Course*>& courses() const;
    int numberOfCourses() const;

    void newCourse(Course* c);
private:
    std::string _name;
    std::string _neptunCode;
    std::string _neptunPassword;
    std::vector<Course*> _courses; // mutatkat trolunk

    std::string generateCode();
    std::string generatePassword();
};


#endif // UNIVERSITYTEACHER_HPP
